Download it now!
Bug 62994 - REPORTBUILDER: failed to process reports with empty text-boxes not connected to data
Summary: REPORTBUILDER: failed to process reports with empty text-boxes not connected ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Lionel Elie Mamane
URL:
Whiteboard: BSA target:4.2.0 target:4.1.3 target:...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-04-01 14:05 UTC by aironmail
Modified: 2013-11-20 13:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test database to reproduce the bug (61.54 KB, application/vnd.oasis.opendocument.database)
2013-04-02 08:27 UTC, aironmail
Details
Test database to reproduce the bug (61.54 KB, application/vnd.oasis.opendocument.database)
2013-04-02 08:29 UTC, aironmail
Details
Report with empty fields, not connected to table-fields, won't work (6.85 KB, application/vnd.oasis.opendocument.database)
2013-04-03 09:11 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aironmail 2013-04-01 14:05:31 UTC
Problem description: I have some databases that were done with LibreOffice. The version used was 3.x and 4.0.1.x. Those dbs have several reports (with report builder) that were nicely working until the 4.0.2.x development versions. Now, when we try to use those reports, Base prompts a dialog saying: Failed to process the report.

It happens always, just trying to generate the reports, but only to those reports that creates a spreadsheet (with a relative complexity). The reports that generates a text document works.

For us it's a blocker issue, as we can't move to 4.0.2.x as we can't use the reports.

Our workaround is to move back to the 4.0.1.x series.

Steps to reproduce:
1. Open Base
2. Double click on a report based on spreadsheet
3. The error is reported

Current behavior:
A window displaying: Failed to process the report


Expected behavior: Report generation correctly as in versions <= 4.0.1.2

              
If there's anyway to help sending logs please, just tell me how to get the logs and I'll send them.
Operating System: Windows 7
Version: 4.0.2.1 rc
Last worked in: 4.0.1.2 release
Comment 1 Robert Großkopf 2013-04-02 05:57:45 UTC
Could you add an example? I have tested with a little database, created a report with LO 3.3.4, executed as spreadsheet in LO 4.0.2.2 - works. But it isn't the same platform: OpenSUSE 12.3 32bit rpm.
Comment 2 aironmail 2013-04-02 08:27:18 UTC
Created attachment 77303 [details]
Test database to reproduce the bug

I have prepared a simple database with a basic table and one report that fails. 

To reproduce the bug just double click on the report.

As I said, it works nicely on versions <= 4.0.1.x but fails on 4.0.2.x.

I hope this helps. Thank you.
Comment 3 aironmail 2013-04-02 08:29:03 UTC
Created attachment 77304 [details]
Test database to reproduce the bug
Comment 4 Robert Großkopf 2013-04-02 11:04:07 UTC
Report fails also on my Linux-system. So I set the platform to "All". It has nothing to do with spreadsheet or text-document. Text-document fails also. So we have to look which part of your document produces an error together with LO 4.0.2.
So I have deleted all groups and all functions and every content, which should be shown from the table - the report didn't execute with LO  4.0.2, but did with LO 3.5.7. I will test a little bit more.
Comment 5 Robert Großkopf 2013-04-03 09:07:02 UTC
I have had a look at this special report. There are many textboxes, which haven't any content. Then I tested a small database. Created a report with one field connected to a data-field of the table, another field without any connection. 
The report will be executed with LO 3.3.4, showing NaN in the field without content.
The report won't be executed in LO 4.0.2.2.
There is a problem with fields without any content. I haven't created any report with fields without any content. Don't know why you have created such fields ...
I will add the database as attachment and change the title. Has nothing to do with spreadsheets.
Comment 6 Robert Großkopf 2013-04-03 09:11:22 UTC
Created attachment 77370 [details]
Report with empty fields, not connected to table-fields, won't work

Open the report with LO 3.* - the report is opened, displays one filed as "NaN".
Open the report with LO 4.0.2.2 - the report fails.
Open the report for editing, delete the empty field, which isn't connected to the table. This report will work with LO 4.0.2.2. Don't know, if this is a bug or a unusual working with text-boxes, which isn't allowed any more.
Comment 7 aironmail 2013-04-11 10:53:47 UTC
Thank you Robert.

To me it seems a bug at the moment that LibreOffice allow to use empty text-boxes and when it displays the error message it doesn't explain anything about what is causing the report to not work.

Anyways, from your previous comment I found a workaround to make the report to work, and it's as simple as entering ="" in each empty text-box.

Thank you very much for your previous comments.
Comment 8 Michael Stahl (CIB) 2013-10-08 11:49:41 UTC
Lionel,

reporter claims this broke between 4.0.1 and 4.0.2
... so would be good to get it fixed in 4.0.6.2,
but there is not much left.

i'm not sure i can reproduce the actual problem,
the report doesn't open with various different error messages
in different 4.0.x versions but it doesn't work in 4.0.1 for me,
but quite possibly that's a local problem with my builds.

perhaps i can investigate more on Friday
if Lionel doesn't beat me to it.
Comment 9 Commit Notification 2013-10-08 18:50:45 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0089d3ae9442f26695ae742f5fbdeeaf698861f2

fdo#62994 reportbuilder survive empty formula



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-10-08 20:15:39 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff8112e22eeb00dd0ed3b2232704d96e92333d76&h=libreoffice-4-1

fdo#62994 reportbuilder survive empty formula


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-10-08 21:02:59 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adc13d7b71cc9d9ccd33844ba2094dce481456ca&h=libreoffice-4-0

fdo#62994 reportbuilder survive empty formula


It will be available in LibreOffice 4.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-10-09 13:36:02 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b57d1cce3ecdfb77706cbf0643c88f66de047dbc&h=libreoffice-4-1-3

fdo#62994 reportbuilder survive empty formula


It will be available already in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-10-09 13:36:59 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e46902483fd59bec2a3c08a0643756cee2ffd3ec&h=libreoffice-4-0-6

fdo#62994 reportbuilder survive empty formula


It will be available already in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.